# List groups

`GET /groups.list`

## Description

Lists all public, non-archived groups in your home Roam.

**Access:** Organization only.

**Required scope:** `groups:read`

---

**OpenAPI Spec:** [openapi.json](https://developer.ro.am/openapi.json)

## Authentication

```
Authorization: Bearer YOUR_API_KEY
```

## Responses

### 200 - OK

Array of objects:

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `addressId` | string | No |  |
| `roamId` | integer | No |  |
| `accountId` | integer | No |  |
| `groupType` | string | No |  |
| `name` | string | No |  |
| `accessMode` | string | No |  |
| `groupManagement` | string | No |  |
| `enforceThreadedMode` | boolean | No |  |
| `dateCreated` | string | No |  |
| `imageUrl` | string | No |  |


#### Example Response

```json
[
  {
    "addressId": "88bebce7-6cbb-4666-96f9-5c02d73e6661",
    "roamId": 12345,
    "accountId": 67890,
    "groupType": "roam",
    "name": "All Hands",
    "accessMode": "public",
    "groupManagement": "groupAdminsOnly",
    "enforceThreadedMode": false,
    "dateCreated": "2025-01-15T10:00:00Z",
    "imageUrl": "https://ro.am/card-images/88bebce7-6cbb-4666-96f9-5c02d73e6661"
  },
  {
    "addressId": "c6040d77-a61c-4834-a939-fe3e687ffd72",
    "roamId": 12345,
    "accountId": 67890,
    "groupType": "group",
    "name": "Engineering Team",
    "accessMode": "public",
    "groupManagement": "allMembers",
    "enforceThreadedMode": true,
    "dateCreated": "2025-02-20T14:30:00Z",
    "imageUrl": "https://ro.am/card-images/c6040d77-a61c-4834-a939-fe3e687ffd72"
  }
]
```

---

*Machine-readable API documentation.*
*Full documentation: https://developer.ro.am/docs/roam-api/list-groups*
